#ifndef _GIVARO_CONFIG_H
#define _GIVARO_CONFIG_H 1
 
/* givaro-config.h. Generated automatically at end of configure. */
/* config.h.  Generated from config.h.in by configure.  */
/* config.h.in.  Generated from configure.in by autoheader.  */

/* Define if building universal (internal helper macro) */
/* #undef __GIVARO_AC_APPLE_UNIVERSAL_BUILD */

/* Define if GMP has no <gmpxx.h> */
/* #undef __GIVARO_GMP_NO_CXX */

/* Define if GMP is version 3.xxx */
/* #undef __GIVARO_GMP_VERSION_3 */

/* Define that architecture uses big endian storage */
/* #undef __GIVARO_HAVE_BIG_ENDIAN */

/* Define to 1 if you have the <dlfcn.h> header file. */
#ifndef __GIVARO_HAVE_DLFCN_H 
#define __GIVARO_HAVE_DLFCN_H  1 
#endif

/* Define if GMP is installed */
#ifndef __GIVARO_HAVE_GMP 
#define __GIVARO_HAVE_GMP  1 
#endif

/* Define to 1 if you have the <inttypes.h> header file. */
#ifndef __GIVARO_HAVE_INTTYPES_H 
#define __GIVARO_HAVE_INTTYPES_H  1 
#endif

/* Define that architecture uses little endian storage */
#ifndef __GIVARO_HAVE_LITTLE_ENDIAN 
#define __GIVARO_HAVE_LITTLE_ENDIAN  1 
#endif

/* Define to 1 if you have the <memory.h> header file. */
#ifndef __GIVARO_HAVE_MEMORY_H 
#define __GIVARO_HAVE_MEMORY_H  1 
#endif

/* Define to 1 if you have the <stdint.h> header file. */
#ifndef __GIVARO_HAVE_STDINT_H 
#define __GIVARO_HAVE_STDINT_H  1 
#endif

/* Define to 1 if you have the <stdlib.h> header file. */
#ifndef __GIVARO_HAVE_STDLIB_H 
#define __GIVARO_HAVE_STDLIB_H  1 
#endif

/* Define to 1 if you have the <strings.h> header file. */
#ifndef __GIVARO_HAVE_STRINGS_H 
#define __GIVARO_HAVE_STRINGS_H  1 
#endif

/* Define to 1 if you have the <string.h> header file. */
#ifndef __GIVARO_HAVE_STRING_H 
#define __GIVARO_HAVE_STRING_H  1 
#endif

/* Define to 1 if you have the <sys/stat.h> header file. */
#ifndef __GIVARO_HAVE_SYS_STAT_H 
#define __GIVARO_HAVE_SYS_STAT_H  1 
#endif

/* Define to 1 if you have the <sys/types.h> header file. */
#ifndef __GIVARO_HAVE_SYS_TYPES_H 
#define __GIVARO_HAVE_SYS_TYPES_H  1 
#endif

/* Define to 1 if you have the <unistd.h> header file. */
#ifndef __GIVARO_HAVE_UNISTD_H 
#define __GIVARO_HAVE_UNISTD_H  1 
#endif

/* Canonical 16-bit data type */
#ifndef __GIVARO_INT16 
#define __GIVARO_INT16  short 
#endif

/* Canonical 32-bit data type */
#ifndef __GIVARO_INT32 
#define __GIVARO_INT32  int 
#endif

/* Canonical 64-bit data type */
#ifndef __GIVARO_INT64 
#define __GIVARO_INT64  long long 
#endif

/* Canonical 8-bit data type */
#ifndef __GIVARO_INT8 
#define __GIVARO_INT8  char 
#endif

/* Define to the sub-directory in which libtool stores uninstalled libraries.
   */
#ifndef __GIVARO_LT_OBJDIR 
#define __GIVARO_LT_OBJDIR  ".libs/" 
#endif

/* Name of package */
#ifndef __GIVARO_PACKAGE 
#define __GIVARO_PACKAGE  "givaro" 
#endif

/* Define to the address where bug reports for this package should be sent. */
#ifndef __GIVARO_PACKAGE_BUGREPORT 
#define __GIVARO_PACKAGE_BUGREPORT  "Jean-Guillaume.Dumas@imag.fr" 
#endif

/* Define to the full name of this package. */
#ifndef __GIVARO_PACKAGE_NAME 
#define __GIVARO_PACKAGE_NAME  "Givaro" 
#endif

/* Define to the full name and version of this package. */
#ifndef __GIVARO_PACKAGE_STRING 
#define __GIVARO_PACKAGE_STRING  "Givaro 3.3.2" 
#endif

/* Define to the one symbol short name of this package. */
#ifndef __GIVARO_PACKAGE_TARNAME 
#define __GIVARO_PACKAGE_TARNAME  "givaro" 
#endif

/* Define to the home page for this package. */
#ifndef __GIVARO_PACKAGE_URL 
#define __GIVARO_PACKAGE_URL  "http://ljk.imag.fr/CASYS/LOGICIELS/givaro" 
#endif

/* Define to the version of this package. */
#ifndef __GIVARO_PACKAGE_VERSION 
#define __GIVARO_PACKAGE_VERSION  "3.3.2" 
#endif

/* The size of `char', as computed by sizeof. */
#ifndef __GIVARO_SIZEOF_CHAR 
#define __GIVARO_SIZEOF_CHAR  1 
#endif

/* The size of `int', as computed by sizeof. */
#ifndef __GIVARO_SIZEOF_INT 
#define __GIVARO_SIZEOF_INT  4 
#endif

/* The size of `long', as computed by sizeof. */
#ifndef __GIVARO_SIZEOF_LONG 
#define __GIVARO_SIZEOF_LONG  4 
#endif

/* The size of `long long', as computed by sizeof. */
#ifndef __GIVARO_SIZEOF_LONG_LONG 
#define __GIVARO_SIZEOF_LONG_LONG  8 
#endif

/* The size of `short', as computed by sizeof. */
#ifndef __GIVARO_SIZEOF_SHORT 
#define __GIVARO_SIZEOF_SHORT  2 
#endif

/* The size of `__int64', as computed by sizeof. */
#ifndef __GIVARO_SIZEOF___INT64 
#define __GIVARO_SIZEOF___INT64  0 
#endif

/* Define to 1 if you have the ANSI C header files. */
#ifndef __GIVARO_STDC_HEADERS 
#define __GIVARO_STDC_HEADERS  1 
#endif

/* Version number of package */
#ifndef __GIVARO_VERSION 
#define __GIVARO_VERSION  "3.3.2" 
#endif

/* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most
   significant byte first (like Motorola and SPARC, unlike Intel). */
#if defined AC_APPLE_UNIVERSAL_BUILD
# if defined __BIG_ENDIAN__
#  define WORDS_BIGENDIAN 1
# endif
#else
# ifndef WORDS_BIGENDIAN
/* #  undef WORDS_BIGENDIAN */
# endif
#endif
 
/* once: _GIVARO_CONFIG_H */
#endif
